CURLOPT_CONNECTTIMEOUT(3)

NAME
CURLOPT_CONNECTTIMEOUT - timeout for the connect phase

SYNOPSIS
#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_CONNECTTIMEOUT, long timeout);

DESCRIPTION
Pass a long. It should contain the maximum time in seconds that you allow the connection phase to the server to take. This only limits the connection phase, it has no impact once it has connected. Set to zero to switch to the default built-in connection timeout - 300 seconds. See also the CURLOPT_TIMEOUT(3) option.

In unix-like systems, this might cause signals to be used unless CURLOPT_NOSIGNAL(3) is set.

DEFAULT
300

PROTOCOLS
All

EXAMPLE
TODO

AVAILABILITY
Always

RETURN VALUE
Returns CURLE_OK

SEE ALSO
CURLOPT_TIMEOUT(3), CURLOPT_LOW_SPEED_LIMIT(3),